Skip to main content
GET
List Webhook Subscriptions

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

event_name
enum<string> | null

Enum for webhook events

We need this list to be extensive and specific to avoid customers subscribing to events that don't exist or are not supported.

Available options:
document.added,
document.modified,
document.*,
dvir_log.added,
dvir_log.modified,
dvir_log.removed,
dvir_log.*,
driver_safety_event.added,
driver_safety_event.modified,
driver_safety_event.removed,
driver_safety_event.*,
driver_vehicle_association.added,
driver_vehicle_association.modified,
driver_vehicle_association.*,
trailer_vehicle_association.added,
trailer_vehicle_association.modified,
trailer_vehicle_association.*,
invitation.created,
invitation.rejected,
invitation.declined,
invitation.viewed,
invitation.sent,
invitation.accepted,
invitation.expired,
invitation.deleted,
invitation.*,
connection.created,
connection.staled,
connection.*,
fleet_connection.created,
fleet_connection.*,
fleet_info.added,
fleet_info.modified,
fleet_info.removed,
fleet_info.*,
share_agreement.created,
share_agreement.updated,
share_agreement.deleted,
share_agreement.*,
webhook.created,
webhook.updated,
webhook.deleted,
webhook.staled,
webhook.activated,
webhook.paused,
webhook.*,
workflow.added,
workflow.modified,
workflow.removed,
workflow.*,
tsp.created,
tsp.requested,
vehicle.added,
vehicle.modified,
vehicle.removed,
vehicle.*,
trailer.added,
trailer.modified,
trailer.removed,
trailer.*,
trailer_location.added,
trailer_location.modified,
trailer_location.*,
trailer_status.added,
trailer_status.modified,
trailer_status.*,
execution.created,
execution.staled,
execution.failed,
execution.*,
schedule.deactivated,
schedule.*,
user.added,
user.modified,
user.removed,
user.*,
vehicle_location.added,
vehicle_location.*,
ifta_summary.added,
ifta_summary.modified,
ifta_summary.removed,
ifta_summary.*,
hos_availability.added,
hos_availability.modified,
hos_availability.removed,
hos_availability.*,
hos_daily_snapshot.added,
hos_daily_snapshot.modified,
hos_daily_snapshot.removed,
hos_daily_snapshot.*,
hos_event.added,
hos_event.modified,
hos_event.removed,
hos_event.*,
hos_violation.added,
hos_violation.modified,
hos_violation.removed,
hos_violation.*,
engine_log.added,
engine_log.modified,
engine_log.removed,
engine_log.*,
engine_status.added,
engine_status.modified,
engine_status.*,
group_message.added,
group_message.modified,
group_message.*,
message.added,
message.modified,
message.*,
fuel_transaction.added,
fuel_transaction.modified,
fuel_transaction.*,
resource_operation.created,
resource_operation.succeeded,
resource_operation.failed,
resource_operation.*
status
enum<string> | null

Enum for webhook status

Available options:
active,
paused,
stale,
deleted
sort_by
enum<string>
default:created_at

Enum for webhook list sortable fields

Available options:
created_at,
updated_at,
status
sort_order
enum<string>
default:desc

Enum for sort direction shared across paginated list endpoints

Available options:
asc,
desc
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
WebhookRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page